@echo off
title Momemtum Daten Wiederherstellung
setlocal EnableDelayedExpansion
echo Es wird jetzt geprueft ob Momentum Daten wiederhergestellt werden koennen
echo ..............................................................
IF EXIST "%APPDATA%\Momentum\" (
    echo Es wurden alte Momentum Daten gefunden. Es wird versucht diese wiederherzustellen.
    echo ..............................................................
    IF EXIST "%APPDATA%\MomentumData\" (
        echo Es sind bereits neuere Daten vorhanden
        :start
        SET choice=
        SET /p choice=Willst du diese ueberschreiben? [Ja/Nein]: 
        echo ..............................................................
        IF NOT '!choice!'=='' SET newchoice=!choice:~0,1!
        IF '!newchoice!'=='Y' GOTO RENAMEANDRESTORE
        IF '!newchoice!'=='y' GOTO RENAMEANDRESTORE
        IF '!newchoice!'=='J' GOTO RENAMEANDRESTORE
        IF '!newchoice!'=='j' GOTO RENAMEANDRESTORE
        IF '!newchoice!'=='N' GOTO END
        IF '!newchoice!'=='n' GOTO END
        IF '!newchoice!'=='' GOTO start
        ECHO "!choice!" ist nicht gueltig. Bitte tippe "j" oder "n" ein
        echo ..............................................................
        GOTO start
    ) ELSE (
        GOTO RESTORE
    )
) ELSE (
    echo Es wurden keine Daten zur Wiederherstellung gefunden. Bitte wende dich an den Support.
    GOTO END
)
:RENAMEANDRESTORE
echo Neuere Daten werden geloescht
echo ..............................................................
RENAME "%APPDATA%\MomentumData\" "_MomentumDataBackup"
IF NOT !ERRORLEVEL! EQU 0 GOTO ERROR
GOTO RESTORE
:RESTORE 
echo Alte Daten werden wiederhergestellt
echo ..............................................................
RENAME "%APPDATA%\Momentum\" "MomentumData"
IF NOT !ERRORLEVEL! EQU 0 GOTO ERROR
echo Momentum Daten wurden erfolgreich wiederhergestellt!. Du kannst Momentum jetzt wieder wie gewohnt nutzen.
echo ..............................................................
GOTO END
:ERROR
echo Beim Wiederherstellen der Daten ist ein Fehler aufgetreten. Bitte wende dich an den Support.
echo ..............................................................
:END
echo.
echo Sofern noch weitere Probleme auftreten, kontaktiere bitte 24x7:
echo.
echo       support@momentum-client.com    
echo.
echo und fuege einen Screenshot von diesem Fenster ein :-)             
echo.
pause