@ECHO OFF
title Momemtum Data Restore
setlocal EnableDelayedExpansion
echo Momentum will now check for Data RESTORE!
echo ..............................................................
IF EXIST "%APPDATA%\Momentum\" (
    echo Found old Momentum Data. Trying to restore
    echo ..............................................................
    IF EXIST "%APPDATA%\MomentumData\" (
        echo There is already new data.
        :start
        SET choice=
        SET /p choice=Override data? [Y/N]: 
        echo ..............................................................
        IF NOT '!choice!'=='' SET newchoice=!choice:~0,1!
        IF '!newchoice!'=='Y' GOTO RENAMEANDRESTORE
        IF '!newchoice!'=='y' GOTO RENAMEANDRESTORE
        IF '!newchoice!'=='N' GOTO END
        IF '!newchoice!'=='n' GOTO END
        IF '!newchoice!'=='' GOTO start
        ECHO "!choice!" is not valid. Please type "y" or "n"
        echo ..............................................................
        GOTO start
    ) ELSE (
        GOTO RESTORE
    )
) ELSE (
    echo Could not find old Momentum Data. Please contact support.
    GOTO END
)
:RENAMEANDRESTORE
echo Renaming existing MomentumData folder
echo ..............................................................
RENAME "%APPDATA%\MomentumData\" "_MomentumDataBackup"
IF NOT !ERRORLEVEL! EQU 0 GOTO ERROR
GOTO RESTORE
:RESTORE 
echo Now Restoring Data
echo ..............................................................
RENAME "%APPDATA%\Momentum\" "MomentumData"
IF NOT !ERRORLEVEL! EQU 0 GOTO ERROR
echo Momentum Data was successfully restored!
echo ..............................................................
GOTO END
:ERROR
echo An error occured while restoring Data. Please contact support.
echo ..............................................................
:END
echo.
echo In case you still got issues, contact 24x7:
echo.
echo       support@momentum-client.com    
echo.
echo and attach a screenshot of this window :-)             
echo.
pause